<!-- START doctoc generated TOC please keep comment here to allow auto update -->
<!-- DON'T EDIT THIS SECTION, INSTEAD RE-RUN doctoc TO UPDATE -->

- [react-testing-library-course](#react-testing-library-course)
  - [Pre-requisites:](#pre-requisites)
  - [System Requirements:](#system-requirements)
  - [Setup:](#setup)
  - [License](#license)

<!-- END doctoc generated TOC please keep comment here to allow auto update -->

# react-testing-library-course

We're going to be learning how to write tests with React and
[react-testing-library](https://github.com/kentcdodds/react-testing-library).
It's going to be fantastic.

## Pre-requisites:

You should be familiar with modern JavaScript and writing React applications.
Prior testing experience is not necessary.

## System Requirements:

You'll need git and node@>=8 installed.
Install it with [NVM](https://github.com/creationix/nvm)
Then `nvm install v10`

## Setup:

Run these commands in your terminal to get yourself setup:

```
git clone https://github.com/Axel92Dev/react-testing-library-course
cd react-testing-library-course/
npm install
```

## License

This material is available for private, non-commercial use under the
[GPL version 3](http://www.gnu.org/licenses/gpl-3.0-standalone.html). If you
would like to use this material to conduct your own workshop, please contact me
at kent@doddsfamily.us
